TMS
cURL
curl --request GET \ --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references \ --header 'Authorization: <api-key>'
{ "totalElements": 123, "totalPages": 123, "pageSize": 123, "pageNumber": 123, "numberOfElements": 123, "content": [ { "id": "<string>", "uid": "<string>", "filename": "<string>", "note": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "createdBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" } } ], "sort": { "orders": [ { "direction": "ASC", "property": "<string>" } ] } }
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
auth/login
Authorization
x >= 0
1 <= x <= 50
ID
FILENAME
DATE_CREATED
CREATED_BY
ASC
DESC
successful operation
Show child attributes
Was this page helpful?